#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h>

#define TTF_NORMAL      0x00
#define TTF_NEGRITA     0x01
#define TTF_CURSIVA     0x00
#define TTF_SUBRAYADA   0x00

class Texto
{
	TTF_Font * fuente;
	public:
	Texto(char * path, int tam);
	~Texto();
	void setEstilo(int estilo);
	int getEstilo();
	void EscribeTexto(char * texto, SDL_Surface * destino,SDL_Rect rectDest,int r, int g, int b);
	
};
